petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexPointGlobalFieldRead

return read access to a field on a point in global array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointGlobalFieldRead(DM dm,PetscInt point,PetscInt field,const PetscScalar *array,void *ptr)

Not Collective

### Input Arguments

| dm | - DM defining topological space
| point | - topological point
| field | - field number
| array | - array to index into

### Output Arguments

ptr -address of read reference to point data, type generic so user can place in structure; returns NULL if global point is not owned

### See Also

DMGetDefaultSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointGlobal(), DMPlexPointLocalRead(), DMPlexPointGlobalRef()

Level:intermediate
Location:src/dm/impls/plex/plexpoint.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages